Update HTML page
Updates the specified HTML page.
Request
POST
https://api.datalens.tech/rpc/updateHtmlPage
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"content": "example",
"annotation": {
"description": "example"
},
"mode": "save"
}
Any of 2 types
-
Type: object
content
Type: string
New HTML content of the page.
Max length:
10485760Example:
exampleentryId
Type: string
ID of the HTML page to update.
Example:
exampleannotation
Type: object
description
Type: string
Description of the entry.
Example:
exampleNew annotation of the HTML page.
Example
{ "description": "example" }mode
Type: string
HTML page update mode.
Enum:
save,publishExample
{ "entryId": "example", "content": "example", "annotation": { "description": "example" }, "mode": "save" } -
Type: object
entryId
Type: string
ID of the HTML page to update.
Example:
examplemode
Type: string
HTML page revision update mode.
Enum:
save,publishrevId
Type: string
ID of the revision to use.
Example:
exampleExample
{ "entryId": "example", "revId": "example", "mode": "save" }
Responses
200 OK
Response
Body
application/json
{
"entry": {
"entryId": "example",
"scope": "artifact",
"type": "html-page",
"key": "example",
"workbookId": "example",
"collectionId": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"data": {},
"meta": {
"objectId": "example",
"policyVersion": 0.5
},
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"tenantId": "example",
"hidden": true,
"version": 1,
"public": true,
"links": {},
"isFavorite": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
}
},
"warnings": [
"example"
]
}
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
entry |
Type: object
Updated HTML page entry. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
warnings |
Type: string[] Warning codes generated while processing the HTML content. Example
|